Resend a delivery
curl --request POST \
--url https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": "RESOURCE_NOT_FOUND",
"message": "Subscription with id '8a13c6a4-1a3d-4f49-ad62-9dca8c47e2c6' was not found.",
"details": {}
}{
"code": "RESOURCE_NOT_FOUND",
"message": "Subscription with id '8a13c6a4-1a3d-4f49-ad62-9dca8c47e2c6' was not found.",
"details": {}
}Resend a delivery
Re-send a previously failed webhook delivery.
POST
/
v1
/
subscriptions
/
{subscriptionId}
/
executionLogs
/
{executionLogId}
/
resend
Resend a delivery
curl --request POST \
--url https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.tracefinance.com/v1/subscriptions/{subscriptionId}/executionLogs/{executionLogId}/resend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": "RESOURCE_NOT_FOUND",
"message": "Subscription with id '8a13c6a4-1a3d-4f49-ad62-9dca8c47e2c6' was not found.",
"details": {}
}{
"code": "RESOURCE_NOT_FOUND",
"message": "Subscription with id '8a13c6a4-1a3d-4f49-ad62-9dca8c47e2c6' was not found.",
"details": {}
}Authorizations
JWT bearer token. Include as Authorization: Bearer <token>. See the Authentication guide for how to obtain one.
Path Parameters
Response
Resend accepted.
Was this page helpful?